
%%%%%%%%%%%%%%%% 第一部分：数据中间商市场结构与国家福利 %%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%% 第一部分：数据中间商市场结构与国家福利 %%%%%%%%%%%%%%%%
%% Figure: mu与国家U的福利
clear; clc; close
warning('off','all')

load ("data\Baseline.mat");

picture = figure('Color', 'white', 'Units', 'centimeters', 'Position', [0, 0, 30, 12]);

% 子图1
ax1 = subplot(1, 2, 1);
hold on;
line(mu, Case1.wel_u, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
line(mu, Case3.wel_u, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ U_{U} $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{禁止流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

% 子图2
ax2 = subplot(1, 2, 2);
hold on;
h1 = line(mu, Case2.wel_u, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
h2 = line(mu, Case4.wel_u, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ U_{U} $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{自由流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

lgd = legend([h1,h2], {'竞争','垄断'}, ...
    'Orientation','horizontal','Box','off','FontSize',10);
lgd.Position = [0.3 0.000001 0.6 0.05];  % 手动调整位置使其居中
lgd.ItemTokenSize = [25, 4];

fprintf('\n=================================================================\n');
fprintf('         图XVI1 不同数据中间商市场结构以及不同数据政策下国家𝑈的福利\n');
fprintf('=================================================================\n\n');
exportgraphics(picture, 'result/图XVI1.png', 'Resolution', 1200);

%% Figure: mu与国家C的福利
clear; clc; close
warning('off','all')

load ("data\TariffNash.mat");

picture = figure('Color', 'white', 'Units', 'centimeters', 'Position', [0, 0, 30, 12]);

% 子图1
ax1 = subplot(1, 2, 1);
hold on;
line(mu, Case1.wel_c, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
line(mu, Case3.wel_c, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ U_{C} $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{禁止流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

% 子图2
ax2 = subplot(1, 2, 2);
hold on;
h1 = line(mu, Case2.wel_c, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
h2 = line(mu, Case4.wel_c, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ U_{C} $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{自由流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

lgd = legend([h1,h2], {'竞争','垄断'}, ...
    'Orientation','horizontal','Box','off','FontSize',10);
lgd.Position = [0.3 0.000001 0.6 0.05];  % 手动调整位置使其居中
lgd.ItemTokenSize = [25, 4];

fprintf('\n=================================================================\n');
fprintf('         图XVI2 不同数据中间商市场结构以及不同数据政策下国家𝐶的福利\n');
fprintf('=================================================================\n\n');
exportgraphics(picture, 'result/图XVI2.png', 'Resolution', 1200);


%%%%%%%%%%%%%%%% 第二部分：数据中间商市场结构与贸易政策 %%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%% 第二部分：数据中间商市场结构与贸易政策 %%%%%%%%%%%%%%%%
%% Figure：垄断模式下国家C和国家U最优关税对比
clear; clc; close
warning('off','all')

load ("data\TariffUnilateral_CU.mat");
load ("data\TariffUnilateral_UC.mat");

picture = figure('Color', 'white', 'Units', 'centimeters', 'Position', [0, 0, 30, 12]);

% 子图1
ax1 = subplot(1, 2, 1);
hold on;
line(mu, Case3_cu.t_cu, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
line(mu, Case3_uc.t_uc, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ t $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{禁止流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

% 子图2
ax2 = subplot(1, 2, 2);
hold on;
h1 = line(mu, Case4_cu.t_cu, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
h2 = line(mu, Case4_uc.t_uc, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ t $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{自由流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

lgd = legend([h1, h2], {'国家C', '国家U'}, ...
    'Orientation', 'horizontal','Box', 'off','FontSize', 10,'Interpreter', 'latex');lgd.Position = [0.3 0.000001 0.6 0.05];  % 手动调整位置使其居中
lgd.Position = [0.3 0.000001 0.6 0.05];  % 手动调整位置使其居中
lgd.ItemTokenSize = [25, 4];

fprintf('\n=================================================================\n');
fprintf('         图XVI3 垄断模式下国家𝑈和国家𝐶的最优关税\n');
fprintf('=================================================================\n\n');
exportgraphics(picture, 'result/图XVI3.png', 'Resolution', 1200);




%% Figure：垄断模式下国家C和国家U纳什关税对比
clear; clc; close
warning('off','all')

load ("data\TariffNash.mat");

picture = figure('Color', 'white', 'Units', 'centimeters', 'Position', [0, 0, 30, 12]);

% 子图1
ax1 = subplot(1, 2, 1);
hold on;
line(mu, Case3.t_cu, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
line(mu, Case3.t_uc, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ t $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{禁止流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

% 子图2
ax2 = subplot(1, 2, 2);
hold on;
h1 = line(mu, Case4.t_cu, 'Color', 'k', 'LineStyle', '-.', 'LineWidth', 1.2);
h2 = line(mu, Case4.t_uc, 'Color', 'k', 'LineStyle', '-', 'LineWidth', 1.2);
set(gca, 'YTickLabel', num2str(get(gca,'YTick')','%.2f'));
xlabel('$ \mu $','Interpreter','latex', 'FontSize',12);
ylabel('$ t $','Interpreter','latex', 'FontSize',12);
title('\fontname{SimSun}{自由流动}', ...
    'Interpreter','tex','FontSize',12);
% grid on; set(gca, 'GridLineStyle', ':', 'GridColor', [0.7 0.7 0.7], 'GridAlpha', 0.7);

lgd = legend([h1, h2], {'国家C', '国家U'}, ...
    'Orientation', 'horizontal','Box', 'off','FontSize', 10,'Interpreter', 'latex');lgd.Position = [0.3 0.000001 0.6 0.05];  % 手动调整位置使其居中
lgd.Position = [0.3 0.000001 0.6 0.05];  % 手动调整位置使其居中
lgd.ItemTokenSize = [25, 4];

fprintf('\n=================================================================\n');
fprintf('         图XVI4 垄断模式下国家𝑈和国家𝐶的最优关税\n');
fprintf('=================================================================\n\n');
exportgraphics(picture, 'result/图XVI4.png', 'Resolution', 1200);

